Skip to main content
Jump to: navigation, search

Difference between revisions of "Linux Tools Project/Building Valgrind Doc"

(New page: To build Valgrind doc plug-in with the latest wiki content: * install Mylyn/WikiText for Eclipse. This can be done via update site inside Eclipse (Help -> Install new software -> Indigo)....)
 
 
Line 11: Line 11:
 
* edit build-helper.xml paths to match the paths of your system.
 
* edit build-helper.xml paths to match the paths of your system.
  
* remove the template declaration from the wikipage (as described on the [https://bugs.eclipse.org/bugs/show_bug.cgi?id=367525 bug#367525])
+
* <s>remove the template declaration from the wikipage (as described on the {{bug|367525}})</s>
  
 
* run build-helper.xml with Eclipse built-in ant runner (right-click -> Run As -> Ant build).
 
* run build-helper.xml with Eclipse built-in ant runner (right-click -> Run As -> Ant build).

Latest revision as of 23:23, 11 October 2012

To build Valgrind doc plug-in with the latest wiki content:

  • install Mylyn/WikiText for Eclipse. This can be done via update site inside Eclipse (Help -> Install new software -> Indigo).
  • install Ant and ant-nodeps package. If using yum:

$ yum install ant ant-nodeps

  • open the org.eclipse.linuxtools.valgrind.doc source inside eclipse.
  • edit build-helper.xml paths to match the paths of your system.
  • remove the template declaration from the wikipage (as described on the bug 367525)
  • run build-helper.xml with Eclipse built-in ant runner (right-click -> Run As -> Ant build).

Back to the top